Name: trojita
Version: 0.6
Release: alt1.koi

License: (GPLv2 or GPLv3) and BSD and LGPLv2 and (LGPLv2.1 or GPLv3) and LGPLv2+ and GPLv2
Group: Networking/Mail
Url: http://trojita.flaska.net
Packager: Koi <eg.evgeniy at gmail.com>
Source: %name-%version.tar.gz
Source1: trojita_common_ru.po.tar.gz

# Automatically added by buildreq on Wed Nov 11 2015
# optimized out: automoc cmake cmake-modules fontconfig-devel kde4libs kde4libs-devel libICE-devel libSM-devel libX11-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXpm-devel libXrandr-devel libXrender-devel libXt-devel libXtst-devel libXv-devel libXxf86vm-devel libakonadi4-calendar libakonadi4-contact libakonadi4-kabc libakonadi4-kcal libakonadi4-kde libakonadi4-kmime libakonadi4-notes libakonadi4-socialutils libakonadi4-xml libdbus-devel libfreetype-devel libgpgmexx4-pthread libpng-devel libqt4-core libqt4-dbus libqt4-devel libqt4-gui libqt4-network libqt4-opengl libqt4-qt3support libqt4-script libqt4-sql libqt4-sql-sqlite libqt4-svg libqt4-webkit libqt4-xml libsoprano-devel libstdc++-devel libxkbfile-devel phonon-devel pkg-config xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel zlib-devel
BuildRequires: gcc-c++
BuildRequires: git-core
BuildRequires: glib2-devel
BuildRequires: glibc-devel-static
BuildRequires: kde4-nepomuk-core-devel
BuildRequires: kde4pimlibs-devel
BuildRequires: libXxf86misc-devel
BuildRequires: libqt4-sql-mysql
BuildRequires: libqtkeychain-devel
BuildRequires: qt4-designer
BuildRequires: ragel

Provides: oldproject = %version-%release
Obsoletes: oldproject <= 0.6

Summary: Qt IMAP e-mail client
Summary(ru_RU.UTF-8): Qt IMAP клиент электронной почты. Работает только с одним почтовым аккаунтом.

%description
Trojita is a Qt IMAP e-mail client which:
  * Enables you to access your mail anytime, anywhere.
  * Does not slow you down. If we can improve the productivity of an e-mail user, we better do.
  * Respects open standards and facilitates modern technologies. We value the vendor-neutrality that IMAP provides and are committed to be as interoperable as possible.
  * Is efficient — be it at conserving the network bandwidth, keeping memory use at a reasonable level or not hogging the system's CPU.
  * Can be used on many platforms. One UI is not enough for everyone, but our IMAP core works fine on anything from desktop computers to cell phones and big ERP systems.
  * Plays well with the rest of the ecosystem. We don't like reinventing wheels, but when the existing wheels quite don't fit the tracks, we're not afraid of making them work.

%description -l ru_RU.UTF8
Trojitá - программа для работы с электронной почтой («клиент»), специализирующаяся на предоставлении быстрого и эффективного доступа к почтовым ящикам с помощью протокола IMAP.
Сама электронная почта хранятся на почтовом сервере IMAP, клиентская программа получает сообщение на локальном компьютере, когда в этом возникает необходимость.
Trojitá экономит трафик канала обмена данными, ресурсов памяти и процессора.
Trojitá не занимает много оперативной памяти и легок в освоении.
В рабочей среде KDE не требует сервера akonadi.
Программа имеет интерфейс QT и официально поддерживается проектом KDE.

%prep
%setup

pushd po
tar -xvzf %SOURCE1
popd

echo 'add_definitions(-fvisibility=default)' >>CMakeLists.txt

%build
cmake \
        -DWITH_TESTS=OFF \
	-DWITH_QT5=OFF \
	-DWITH_ZLIB=ON \
	-DWITH_RAGEL=ON \
	-DWITH_SHARED_PLUGINS=ON \
	-DWITH_QTKEYCHAIN_PLUGIN=ON \
        -DCMAKE_INSTALL_PREFIX:PATH=%prefix \
        -DCMAKE_INSTALL_LIBDIR:PATH=%_libdir \
        -DSHARE_INSTALL_PREFIX:PATH=%_datadir \
        -DBIN_INSTALL_PREFIX:PATH=%_bindir

%install
%makeinstall_std

%files
%_bindir/%name
%_bindir/be.contacts
%_datadir/appdata/*xml
%_desktopdir/%name.desktop
%_iconsdir/hicolor/32x32/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_datadir/%name/locale/*.qm
%_libdir/*.so
%_libdir/trojita/*.so

%changelog
* Tue Jan 26 2016 Koi <eg.evgeniy@gmail.com> 0.6-alt1.koi
- Version: 0.6

* Wed Nov 11 2015 Koi <eg.evgeniy@gmail.com> 0.5-alt1.koi
- initial build for ALT Linux Sisyphus
- added russian description (Name, Keywords, GenericName) file "trojita-0.5/src/Gui/trojita.desktop"
- translated descriptions spec (Summary, description)
- russian localization added (Source1: trojita_common_ru.po.tar.gz)
- repaired the installation path "/usr"

* Tue Nov 10 2015 Koi <eg.evgeniy@gmail.com> 0.5-alt1.koi
- initial build for ALT Linux Sisyphus
 
